CFLAGS ?= -O2 -Wall -Wextra -std=c99 -pedantic
CC     ?= cc

all: mkexe

mkexe: mkexe.c
	$(CC) $(CFLAGS) -o $@ mkexe.c

check: mkexe
	./run-tests.sh

clean:
	rm -f mkexe tests/*.actual tests/*.exe

.PHONY: all check clean
